package com.ibiz.core.external.dao.po;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;

/**
 * 关系型数据实体表[Table] 对象
 */
public interface ICPXHTable {

    //功率
    Double getGl();
    void setGl(Double gl);
    //别名
    String getBm();
    void setBm(String bm);
    //号牌底色
    String getHpds();
    void setHpds(String hpds);
    //备注
    String getBz();
    void setBz(String bz);
    //厂牌型号名称
    String getCpxhname();
    void setCpxhname(String cpxhname);
    //新车购置价
    BigDecimal getXcgzj();
    void setXcgzj(BigDecimal xcgzj);
    //上市年份
    String getSsnf();
    void setSsnf(String ssnf);
    //核定载质量
    Double getHdzzl();
    void setHdzzl(Double hdzzl);
    //建立时间
    Timestamp getCreatedate();
    void setCreatedate(Timestamp createdate);
    //A/B类
    String getAbl();
    void setAbl(String abl);
    //车辆类型描述
    String getCllxms();
    void setCllxms(String cllxms);
    //核定载客
    Integer getHdzk();
    void setHdzk(Integer hdzk);
    //整备质量
    Double getZbzl();
    void setZbzl(Double zbzl);
    //更新时间
    Timestamp getUpdatedate();
    void setUpdatedate(Timestamp updatedate);
    //品牌
    String getPp();
    void setPp(String pp);
    //打印厂牌型号
    String getDycpxh();
    void setDycpxh(String dycpxh);
    //建立人
    String getCreateman();
    void setCreateman(String createman);
    //车型代码
    String getCxdm();
    void setCxdm(String cxdm);
    //排量
    Double getPl();
    void setPl(Double pl);
    //厂牌型号标识
    String getCpxhid();
    void setCpxhid(String cpxhid);
    //生产厂商
    String getSccs();
    void setSccs(String sccs);
    //车辆实际价值
    BigDecimal getClsjjz();
    void setClsjjz(BigDecimal clsjjz);
    //更新人
    String getUpdateman();
    void setUpdateman(String updateman);
    //车系
    String getCx();
    void setCx(String cx);
}
